@echo off

:: Program the FPGA with the sof file
set PROGRAM_FILE=ced1z.sof

%QUARTUS_ROOTDIR%/bin/quartus_pgm.exe -c "USB-Blaster [USB-0]" -m JTAG -o p;%PROGRAM_FILE%

:: change MS-DOS file path to POSIX equivalent
set _NIOS2EDS_ROOT=%SOPC_KIT_NIOS2:\=/%
::set DRIVE=%_NIOS2EDS_ROOT:~0,1%
::set _NIOS2EDS_ROOT=%_NIOS2EDS_ROOT:~3%
::set _NIOS2EDS_ROOT=/cygdrive/%DRIVE%/%_NIOS2EDS_ROOT%

:: save the current directory path (MS-DOS to POSIX)
set MY_DIR=%cd:\=/%
set DRIVE=%MY_DIR:~0,1%
set MY_DIR=%MY_DIR:~3%
set MY_DIR=/cygdrive/%DRIVE%/%MY_DIR%

:: set up the PATH environment variable for cygwin commands
set OLD_PATH=%PATH
set PATH="/bin:/usr/bin:${PATH}"

:: convert CRLF file format to LF in case of "nios2-download" script file
%QUARTUS_ROOTDIR%\bin\cygwin\bin\bash.exe -c "cp -vf %_NIOS2EDS_ROOT%/bin/nios2-download %MY_DIR% "
%QUARTUS_ROOTDIR%\bin\cygwin\bin\bash.exe -c "dos2unix -n nios2-download nios2_download"

:: download the elf file to the system
%QUARTUS_ROOTDIR%\bin\cygwin\bin\bash.exe -c "%_NIOS2EDS_ROOT%/nios2_command_shell.sh %MY_DIR%/nios2_download -g %MY_DIR%/ADIEvalBoard.elf"

:: restore the value of the PATH
set PATH=%OLD_PATH

pause
